package org.dromara.payment.sys.service;

import org.dromara.payment.sys.domain.vo.SysSydProductVo;
import org.dromara.payment.sys.domain.bo.SysSydProductBo;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.common.mybatis.core.page.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 服务商产品Service接口
 *
 * @author LionLi
 * @date 2024-03-26
 */
public interface ISysSydProductService {

    /**
     * 查询服务商产品
     */
    SysSydProductVo queryById(Long id);

    /**
     * 查询服务商产品列表
     */
    TableDataInfo<SysSydProductVo> queryPageList(SysSydProductBo bo, PageQuery pageQuery);

    /**
     * 查询服务商产品列表
     */
    List<SysSydProductVo> queryList(SysSydProductBo bo);

    /**
     * 新增服务商产品
     */
    Boolean insertByBo(SysSydProductBo bo);

    /**
     * 修改服务商产品
     */
    Boolean updateByBo(SysSydProductBo bo);

    /**
     * 校验并批量删除服务商产品信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

    String upDown(Long id, Integer status);
}
